﻿using Hotline.KnowledgeBase;
using Hotline.Repository.SqlSugar.DataPermissions;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Knowledge
{
    public class KnowledgeStandardRepository : BaseRepository<KnowledgeStandard>, IKnowledgeStandardRepository, IScopeDependency
    {
        public KnowledgeStandardRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
        {

        }
    }
}
