﻿using Hotline.Orders;
using Hotline.Repository.SqlSugar.DataPermissions;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Orders;

public class OrderSuperviseRepository : BaseRepository<OrderSupervise>, IOrderSuperviseRepository, IScopeDependency
{
    public OrderSuperviseRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
    {
    }
}