﻿using Hotline.Orders;
using Hotline.Repository.SqlSugar.DataPermissions;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Orders
{
    public class OrderVisitedDetailRepository : BaseRepository<OrderVisitDetail>, IOrderVisitedDetailRepository, IScopeDependency
    {
        public OrderVisitedDetailRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
        {
        }
    }
}
