﻿using Hotline.KnowledgeBase;
using Hotline.Push.FWMessage;
using Hotline.Repository.SqlSugar.DataPermissions;
using SqlSugar;
using XF.Domain.Dependency;

namespace Hotline.Repository.SqlSugar.Push.FWMessage
{
    public class MessageRepository : BaseRepository<Message>, IMessageRepository, IScopeDependency
    {
        public MessageRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
        {

        }
    }
}
