﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.FlowEngine
{
    /// <summary>
    /// 下一节点的可选项
    /// </summary>
    public class NextStepOptionDto
    {
        /// <summary>
        /// 办理人/部门（待选项）
        /// </summary>
        public IReadOnlyList<IdName> Handlers { get; set; }

        /// <summary>
        /// 工单重办理由待选项,对应code：OrderRedoReason
        /// </summary>
        public IReadOnlyList<IdName> OrderRedoReasonOptions { get; set; }
    }
}
