﻿namespace Hotline.Share.Dtos.Knowledge
{
    public record TreeListDto
    {
        /// <summary>
        ///名称
        /// </summary>
        public string name { get; set; }

        /// <summary>
        /// 值
        /// </summary>
        public string value { get; set; }

        /// <summary>
        /// 父级ID
        /// </summary>
        public string ParentID { get; set; }

        /// <summary>
        /// 子集合
        /// </summary>
        public List<TreeListDto> children { get; set; }

        /// <summary>
        /// 是否选中
        /// </summary>
        public bool selected { get; set; } = false;

        /// <summary>
        /// 是否启用
        /// </summary>
        public bool IsEnable { get; set; }
    }
}
