﻿using Hotline.Share.Enums.Settings;

namespace Hotline.Share.Dtos.Roles;

public record AddAccessLevelDto
{
    /// <summary>
    /// 角色ID
    /// </summary>
    public string RoleId { get; set; }

    /// <summary>
    /// 角色Code
    /// </summary>
    public string RoleCode { get; set; }

    /// <summary>
    /// 角色名称
    /// </summary>
    public string RoleDisplay { get; set; }

    /// <summary>
    /// 访问等级
    /// </summary>
    public ETableAccessLevel AccessLevel { get; set; }

    public string TableName { get; set; }

    /// <summary>
    /// 表名
    /// </summary>
    public string TableDisplay { get; set; }
}