﻿using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

public enum EHandlerType
{
    /// <summary>
    /// 角色
    /// </summary>
    [Description("角色")]
    Role = 0,

    /// <summary>
    /// 部门级别
    /// </summary>
    [Description("部门级别")]
    OrgLevel = 1,

    /// <summary>
    /// 部门类型
    /// </summary>
    [Description("部门类型")]
    OrgType = 2,

    /// <summary>
    /// 指定用户
    /// </summary>
    [Description("指定用户")]
    AssignUser = 3,

    /// <summary>
    /// 指定部门
    /// </summary>
    [Description("指定部门")]
    AssignOrg = 4,

    ///// <summary>
    ///// 自定义(用户)
    ///// </summary>
    //[Description("自定义")]
    //Custom = 5,
}