﻿using System.ComponentModel;

namespace Hotline.Share.Enums.KnowledgeBase
{
    /// <summary>
    /// 知识审批状态
    /// </summary>
    public enum EKnowledgeWorkFlowStatus
    {
        /// <summary>
        /// 审核中
        /// </summary>
        [Description("审核中")]
        Auditing = 1,

        /// <summary>
        /// 审核通过
        /// </summary>
        [Description("审核通过")]
        Success = 2,

        /// <summary>
        /// 撤销
        /// </summary>
        [Description("已撤销")]
        Revoke = 3,

        ///// <summary>
        ///// 审核不通过
        ///// </summary>
        //[Description("审核不通过")]
        //Failed = 4
    }
}
