﻿namespace Hotline.Share.Enums.Order;

/// <summary>
/// 工单处理方式（直办、交办）
/// </summary>
public enum EProcessType
{
    /// <summary>
    /// 直接办结
    /// </summary>
    Zhiban = 10,

    /// <summary>
    /// 交办
    /// </summary>
    Jiaoban = 20,

    /// <summary>
    /// 派单员重派
    /// </summary>
    PdyChongpai = 30,

    /// <summary>
    /// 结果审核重派
    /// </summary>
    ShChongpai = 40,

    /// <summary>
    /// 回访不满意重派	
    /// </summary>
    HfChongpai = 50
}