﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Enums.Order
{
    public enum EVisitState
    {
        /// <summary>
        /// 待回访
        /// </summary>
        [Description("待回访")]
        WaitForVisit = 10,

        /// <summary>
        /// 回访中
        /// </summary>
        [Description("回访中")]
        Visiting = 20,

        /// <summary>
        /// 已回访
        /// </summary>
        [Description("已回访")]
        Visited = 30,

        /// <summary>
        /// 不满意待回访
        /// </summary>
        [Description("不满意待回访")]
        NoSatisfiedWaitForVisit =40,
    }
}
