﻿namespace Hotline.Share.Enums.Push;

/// <summary>
/// 消息推送业务
/// </summary>
public enum EPushBusiness
{
    /// <summary>
    /// 工单派单
    /// </summary>
    OrderSend = 0,

    /// <summary>
    /// 工单受理
    /// </summary>
    OrderAccept = 1,

    /// <summary>
    /// 工单超期
    /// </summary>
    OrderExpire = 2,

    /// <summary>
    /// 工单催办
    /// </summary>
    OrderUrge = 3,

    /// <summary>
    /// 工单回访
    /// </summary>
    OrderCallback = 4,
}