﻿namespace Hotline.CallCenter.Devices
{
    public class DeviceConfigs
    {
        public string Address { get; set; }
        public bool Authorize { get; set; }
        public string ReceiveKey { get; set; }
        public string SendKey { get; set; }

        /// <summary>
        /// 认证过期时间（秒）
        /// </summary>
        public int Expired { get; set; }
    }

    public class CallCenterConfiguration
    {
        public string CallCenterType { get; set; }

        public DeviceConfigs DeviceConfigs { get; set; }

        public WexConfiguration Wex { get; set; }
    }
}
