﻿using Hotline.FlowEngine.Definitions;
using Hotline.Share.Dtos.FlowEngine;

namespace Hotline.FlowEngine.WfModules;

public interface IWfModuleDomainService
{
    /// <summary>
    /// 将新增的工作流业务持久化
    /// </summary>
    /// <returns></returns>
    Task PersistenceModulesAsync(CancellationToken cancellationToken);

    /// <summary>
    /// 为工作流业务匹配或取消流程模板
    /// </summary>
    Task MatchDefinitionAsync(MatchDefinitionDto dto, CancellationToken cancellationToken);
}