﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.FlowEngine.Workflows;
using MediatR;

namespace Hotline.Orders.Notifications
{
    /// <summary>
    /// 查询工单详情
    /// </summary>
    public class GetOrderDetailNotify : INotification
    {
        public GetOrderDetailNotify(Workflow workflow, string userId, string? userName, string orgCode, string? orgName)
        {
            Workflow = workflow;
            UserId = userId;
            UserName = userName;
            OrgCode = orgCode;
            OrgName = orgName;
        }

        public string UserId { get; set; }
        public string? UserName { get; set; }
        public string OrgCode { get; set; }
        public string? OrgName { get; set; }
        public Workflow Workflow { get; set; }
    }
}
