﻿using Hotline.Share.Enums.Push;
using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Push
{
    public class MessageTemplate : CreationModificationEntity
    {
        /// <summary>
        /// 短信类型
        /// </summary>
        public EPushBusiness PushBusiness { get; set; }

        /// <summary>
        /// 短信Code
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string? Remark { get; set; }

        /// <summary>
        /// 模板状态
        /// </summary>
        public bool Status { get; set; }
    }
}
