﻿using Hotline.Identity.Accounts;
using XF.Domain.Entities;

namespace Hotline.SeedData;

public class AccountRoleSeedData : ISeedData<AccountRole>
{
    /// <summary>
    /// 种子数据
    /// </summary>
    /// <returns></returns>
    public IEnumerable<AccountRole> HasData() =>
        new[]
        {
            new AccountRole
            {
                AccountId = SysAccountSeedData.Id,
                RoleId = RoleSeedData.AdminId
            }
        };
}