﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Identity.Accounts;
using XF.Domain.Entities;

namespace Hotline.SeedData
{
    public class SysAccountSeedData : ISeedData<Account>
    {
        public static readonly string Id = "08daa5f2-1878-4cfa-8764-1244f0229994";

        /// <summary>
        /// 种子数据
        /// </summary>
        /// <returns></returns>
        public IEnumerable<Account> HasData() =>
            new[]
            {
                new Account
                {
                    Id = Id,
                    ClientId = "sys",
                    UserName = "sysadmin",
                    Name = "初始系统管理账号",
                    PasswordHash = "AQAAAAEAACcQAAAAEKTgPA/GB2GnCEX+yTgZl878j9M7MOEHxdEgRIMc6xcErRv/oDsMmJBB5zaxcDmXyw==",
                }
            };
    }
}
