﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Wex.Sdk
{
    public interface ITokenManager
    {
        Task<string> GetTokenAsync(CancellationToken cancellationToken);
        Task RefreshTokenAsync(CancellationToken cancellationToken);
    }

    public class WexToken
    {
        public string Token { get; set; }
        public string RefreshToken { get; set; }
        public string ExpireTime { get; set; }
        public string WsUrl { get; set; }
    }
}
