﻿using System.Text.Json.Serialization;

namespace Wex.Sdk.Tel;

public class QueryTelResponse
{

    //public string Device { get; set; }


    /// <summary>
    /// 分机号
    /// </summary>
    [JsonPropertyName("device")]
    public string TelNo { get; set; }

    /// <summary>
    /// 注册密码
    /// </summary>
    [JsonPropertyName("psw")]
    public string Pwd { get; set; }

    /// <summary>
    /// 注册组
    /// </summary>
    public string RegGroup { get; set; }

    /// <summary>
    /// 分机状态
    /// </summary>
    public int Status { get; set; }

    /// <summary>
    /// 呼叫标识
    /// </summary>
    public string CallGuid { get; set; }

    /// <summary>
    /// 会议号码
    /// </summary>
    public string MeetId { get; set; }

    /// <summary>
    /// 登录方式
    /// </summary>
    public string LoginType { get; set; }

    /// <summary>
    /// 是否签入
    /// </summary>
    public int Sigin { get; set; }

    /// <summary>
    /// 坐席状态
    /// </summary>
    public int AgentStatus { get; set; }

    /// <summary>
    /// 坐席员
    /// </summary>
    public string Loginer { get; set; }

    /// <summary>
    /// 坐席组
    /// </summary>
    [JsonPropertyName("zrole")]
    public string Roles { get; set; }

    /// <summary>
    /// 坐席工号
    /// </summary>
    [JsonPropertyName("zloginNumber")]
    public string StaffNo { get; set; }
}