﻿using Hotline.FlowEngine.Notifications;
using Hotline.FlowEngine.WfModules;
using Hotline.Orders;
using MediatR;

namespace Hotline.Application.Handlers.FlowEngine;

public class OrderRecallFinalManageHandler : INotificationHandler<OrderRecallFinalManageNotify>
{
    private readonly IOrderDomainService _orderDomainService;

    public OrderRecallFinalManageHandler(IOrderDomainService orderDomainService)
    {
        _orderDomainService = orderDomainService;
    }

    /// <summary>Handles a notification</summary>
    /// <param name="notification">The notification</param>
    /// <param name="cancellationToken">Cancellation token</param>
    public async Task Handle(OrderRecallFinalManageNotify notification, CancellationToken cancellationToken)
    {
        var workflow = notification.Workflow;

        switch (workflow.ModuleCode)
        {
            case WorkflowModuleConsts.OrderHandle:
                //await _orderDomainService.RecallFinalManageAsync(notification.Workflow.ExternalId, cancellationToken);
                break;
        }

    }
}