﻿using Hotline.Share.Dtos.Settings;
using Hotline.Share.Enums.Settings;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.TimeLimits
{
    public interface ITimeLimitApplication
    {
        TimeResult CalcEndTime(DateTime beginTime, ETimeType timeType, int timeValue);
        /// <summary>
        /// 计算工作时间（跳过休息日）
        /// </summary>
        /// <param name="date">开始时间</param>
        /// <param name="days">天数</param>
        /// <returns></returns>
        DateTime GetEndDateWork(DateTime date, int days);
    }
}
