﻿namespace Hotline.Share.Dtos.Knowledge
{
    /// <summary>
    /// 知识库推送信息
    /// </summary>
    public class KnowledgeSendDto
    {
        /// <summary>
        /// 知识类别code
        /// </summary>
        public string CategoryCode { get; set; }

        /// <summary>
        /// 知识类别名称
        /// </summary>
        public string CategoryName { get; set; }

        /// <summary>
        /// 发布人
        /// </summary>
        public string PublishPerson { get; set; }

        /// <summary>
        /// 所属部门名称
        /// </summary>
        public string OuName { get; set; }

        /// <summary>
        /// 知识名称
        /// </summary>
        public string KName { get; set; }

        /// <summary>
        /// 知识内容
        /// </summary>
        public string KContent { get; set; }

        /// <summary>
        /// 发布日期
        /// </summary>
        public DateTime? CreatDate { get; set; }

        /// <summary>
        /// 生效时间
        /// </summary>
        public DateTime? BeginDate { get; set; }

        /// <summary>
        /// 失效时间
        /// </summary>
        public DateTime? DisableDate { get; set; }

        /// <summary>
        /// 上报知识唯一标识
        /// </summary>
        public string UID { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        public string CliengGuid { get; set; }
    }
}
