﻿using Hotline.Share.Enums.Push;

namespace Hotline.Share.Dtos.Push
{
    public class PushMessageNotifyDto
    {
        /// <summary>
        /// 消息推送业务
        /// </summary>        
        public EPushBusiness PushBusiness { get; set; }

        /// <summary>
        /// 外部业务唯一编号
        /// </summary>
        public string ExternalId { get; set; }

        /// <summary>
        /// 接收手机号码
        /// </summary>
        public string TelNumber { get; set; }

        /// <summary>
        /// 关联工单编号
        /// </summary>
        public string? OrderId { get; set; }

        /// <summary>
        /// 短信回复内容
        /// </summary>   
        public string? SmsReplyContent { get; set; }

        /// <summary>
        /// 短信回复时间
        /// </summary>
        public DateTime? SmsReplyTime { get; set; }
    }
}
