﻿using Hotline.Share.Enums.Push;

namespace Hotline.Share.Dtos.Push
{
    /// <summary>
    /// 
    /// </summary>
    public record TemplateDto
    {
        /// <summary>
        /// 短信类型
        /// </summary>
        public EPushBusiness PushBusiness { get; set; }

        /// <summary>
        /// 短信Code
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string? Remark { get; set; }

        /// <summary>
        /// 模板状态
        /// </summary>
        public bool Status { get; set; }
    }

    /// <summary>
    /// 编辑
    /// </summary>
    public record UpdateTemplateDto : TemplateDto
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }
    }

}
