﻿using Hotline.Share.Enums.CallCenter;

namespace Hotline.Share.Dtos.Realtime;

public record RingDto
{
    public string Id { get; set; }
    public string From { get; set; }
    public string To { get; set; }
    public Enums.CallCenter.ECallType CallType { get; set; }
}

public record AnsweredDto
{
    public string Id { get; set; }
    public string From { get; set; }
    public string To { get; set; }
    public ECallType CallType { get; set; }

    public string ConversationId { get; set; }
}

public record ByeDto
{
    public string Id { get; set; }
}