﻿using Hotline.Share.Requests;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Trunk
{
    public class AddTrunkDto
    {
        public string TrunkId { get; set; }
        public string MorningBegin { get; set; }
        public string MorningEnd { get;set; }
        public string AfterBegin { get; set; }
        public string AfterEnd { get; set; }
        public List<WorkDayModel> WorkDay { get; set; } = new();
        public string WorkCategory { get; set; }
        public string RestCategory { get; set; }
        public string WorkToGroup { get; set; }
        public string RestToGroup { get; set; }
        public string EvaluateCategory { get; set; }
        public bool IsEnable { get; set; }

    }

    public class WorkDayModel
    {
        public string weekName { get; set; }
        public string weekValue { get; set; }
    }

    public class UpdateTrunkDto:AddTrunkDto
    {
        public string Id { get; set; }
    }

}
