﻿using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

public enum EWorkflowStepStatus
{
    /// <summary>
    /// 已创建
    /// </summary>
    [Description("已创建")]
    Created = 0,

    /// <summary>
    /// 已指派（待受理/待接办）
    /// </summary>
    [Description("已指派")]
    Assigned = 1,

    /// <summary>
    /// 已受理
    /// </summary>
    [Description("已受理")]
    Accepted = 2,

    /// <summary>
    /// 已办理
    /// </summary>
    [Description("已办理")]
    Completed = 3,
}