﻿using System.ComponentModel;

namespace Hotline.Share.Enums.KnowledgeBase;

/// <summary>
/// 知识审批-申请类型
/// </summary>
public enum EKnowledgeApplyType
{
    /// <summary>
    /// 新增
    /// </summary>
    [Description("发布知识审核")]
    Add = 0,

    ///// <summary>
    ///// 修改
    ///// </summary>
    //[Description("修改")]
    //Update = 1,

    /// <summary>
    /// 删除
    /// </summary>
    [Description("删除知识审核")]
    Delete = 2,
}

/// <summary>
/// 知识申请-申请类型
/// </summary>
public enum EApplyType
{
    /// <summary>
    /// 新增
    /// </summary>
    [Description("新增")]
    Add = 0,

    /// <summary>
    /// 修改
    /// </summary>
    [Description("修改")]
    Update = 1,

}