﻿using System.ComponentModel;

namespace Hotline.Share.Enums.Order;

/// <summary>
/// 受理类型
/// </summary>
public enum EAcceptType
{
    /// <summary>
    /// 咨询
    /// </summary>
    [Description("咨询")]
    Consult = 10,

    /// <summary>
    /// 建议
    /// </summary>
    [Description("建议")]
    Suggest = 15,

    /// <summary>
    /// 求助
    /// </summary>
    [Description("求助")]
    SeekHelp = 20,

    /// <summary>
    /// 表扬
    /// </summary>
    [Description("表扬")]
    Praise = 25,

    /// <summary>
    /// 举报
    /// </summary>
    [Description("举报")]
    Report = 30,

    /// <summary>
    /// 投诉
    /// </summary>
    [Description("投诉")]
    Complain = 35,

    /// <summary>
    /// 其他
    /// </summary>
    [Description("其他")]
    Other = 40,
}