﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Enums.Order
{
    public enum EVoiceEvaluate
    {
        /// <summary>
        /// 非常满意
        /// </summary>
        [Description("非常满意")]
        VerySatisfied = 10,

        /// <summary>
        /// 满意
        /// </summary>
        [Description("满意")]
        Satisfied = 20,

        /// <summary>
        /// 甄别为满意
        /// </summary>
        [Description("甄别为满意")]
        ScreenToSatisfied = 30,

        /// <summary>
        /// 一般
        /// </summary>
        [Description("一般")]
        Normal = 40,

        /// <summary>
        /// 不满意
        /// </summary>
        [Description("不满意")]
        NoSatisfied = 50,

        /// <summary>
        /// 非常不满意
        /// </summary>
        [Description("非常不满意")]
        VeryNoSatisfied = 60,

        /// <summary>
        /// 未做评价
        /// </summary>
        [Description("未做评价")]
        NoEvaluate = 100,
    }
}
