﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.FlowEngine.WfModules;

namespace Hotline.Caching.Interfaces
{
    public interface IWfModuleCacheManager
    {
        Task<WorkflowModule?> GetWorkflowModuleAsync(string code, CancellationToken cancellationToken);

        Task RemoveWorkflowModuleAsync(string code, CancellationToken cancellationToken);
    }
}
