﻿using Hotline.Share.Dtos.FlowEngine;
using Hotline.Share.Enums.FlowEngine;
using XF.Domain.Entities;

namespace Hotline.FlowEngine.Definitions;

/// <summary>
/// 模板定义节点
/// </summary>
public class StepDefine : StepBasic
{
    public List<NextStepDefine> NextSteps { get; set; }

    #region method

    public bool IsCenter() => BusinessProperty is EBusinessProperty.Center or EBusinessProperty.Send;

    public bool IsOrg() => BusinessProperty is EBusinessProperty.Department;

    #endregion
}