﻿using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.KnowledgeBase
{
    /// <summary>
    /// 知识编写规范
    /// </summary>
    public class KnowledgeStandard : CreationModificationEntity
    {
        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [SugarColumn(ColumnDataType = "text")]
        public string Content { get; set; }
    }
}
