﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using NpgsqlTypes;
using SqlSugar;

namespace XF.Domain.Repository
{
    public class TextSearchEntity : ITextSearch
    {
        public string Id { get; set; }

        [SugarColumn(ColumnDataType = "tsvector")]
        public NpgsqlTsVector Vector { get; set; }

        [SugarColumn(ColumnDataType = "json", IsJson = true)]
        public List<string> VectorTexts { get; set; }

        public DateTime CreationTime { get; set; }
    }
}
